package config

import (
	"github.com/aliyun/aliyun-oss-go-sdk/oss"
	"os"
	"pji_desktop_http/common/config/c_log"
	"sync"
)

type OssConnectInfoStruct struct {
	Endpoint        string `json:"endpoint"`
	AccessKeyId     string `json:"accessKeyId"`
	AccessKeySecret string `json:"accessKeySecret"`
	BucketName      string `json:"bucketName"`
}

var (
	OssClient *oss.Client
	OssBucket *oss.Bucket
	OssMutex  sync.Mutex
)

var (
	WorldOssBasePrefix      = "world"
	SimulationOssBasePrefix = "simulation"
	UpdateMapOssBasePrefix  = "update_map"
)

func InitOssConfig() {
	var err error
	c_log.GlobalLogger.Info("初始化OSS客户端对象 - 开始。")

	// 1 OSS 配置
	var ossConnectInfo OssConnectInfoStruct
	//ossConnectInfo.Endpoint = "http://pji-bucket1.oss.icvdc.com" // 外网
	ossConnectInfo.Endpoint = "http://oss-cn-beijing-gqzl-d01-a.ops.gqzl-cloud.com" // 内网
	ossConnectInfo.BucketName = "pji-bucket1"
	ossConnectInfo.AccessKeyId = "n8glvFGS25MrLY7j"
	ossConnectInfo.AccessKeySecret = "xZ2Fozoarpfw0z28FUhtg8cu0yDc5d"

	OssClient, err = oss.New(ossConnectInfo.Endpoint, ossConnectInfo.AccessKeyId, ossConnectInfo.AccessKeySecret, oss.UseCname(false))
	if err != nil {
		c_log.GlobalLogger.Error("无法创建阿里云client:", err)
		os.Exit(-1)
	}
	// 超时时间设置
	//OssClient.Config.Timeout = 3600
	OssBucket, err = OssClient.Bucket(ossConnectInfo.BucketName)
	if err != nil {
		c_log.GlobalLogger.Error("无法创建阿里云bucket:", err)
		os.Exit(-1)
	}
	c_log.GlobalLogger.Info("初始化OSS客户端对象 - 成功。")
}
